Summary: A GNU file archiving program.
Name: tar
Version: 1.13.15
Release: 1a
Copyright: GPL
Group: Applications/Archiving
Source: ftp://prep.ai.mit.edu:/pub/gnu/tar-%{version}.tar.gz
Patch0: tar-1.13.11-manpage.patch
Patch1: tar-1.12-namecache.patch
Patch2: tar-1.12-pipe.patch
# XXX Use /sbin/rmt from dump
Prereq: /sbin/install-info /sbin/rmt
Buildroot: /var/tmp/%{name}-root

%description
The GNU tar program saves many files together into one archive and
can restore individual files (or all of the files) from the archive.
Tar can also be used to add supplemental files to an archive and to
update or list files in the archive.

Tar includes multivolume support, automatic archive compression/
decompression, the ability to perform remote archives and the
ability to perform incremental and full backups.

If you want to use Tar for remote backups, you'll also need to
install the rmt package.

You should install the tar package, because you'll find its
compression and decompression utilities essential for working
with files.

%prep
%setup -q
%patch0 -p1 -b .manpage
# %patch1 -p1 -b .namecache
# %patch2 -p1 -b .pipe

%build
./configure --prefix=/usr --bindir=/bin --libexecdir=/sbin
make CFLAGS="$RPM_OPT_FLAGS \
	-DHAVE_STRERROR \
	-D_GNU_SOURCE" \
	LDFLAGS=-s LIBS=-lbsd

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT/usr \
	bindir=$RPM_BUILD_ROOT/bin \
	libexecdir=$RPM_BUILD_ROOT/sbin \
	install

mkdir -p $RPM_BUILD_ROOT/usr/bin
ln -s ../../bin/tar $RPM_BUILD_ROOT/usr/bin/gtar
gzip -9nf $RPM_BUILD_ROOT/usr/info/tar.info*

mkdir -p $RPM_BUILD_ROOT/usr/man/man1
install -m644 tar.1 $RPM_BUILD_ROOT/usr/man/man1

%post
/sbin/install-info /usr/info/tar.info.gz /usr/info/dir

%preun
if [ $1 = 0 ]; then
   /sbin/install-info --delete /usr/info/tar.info.gz /usr/info/dir
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/bin/tar
/usr/bin/gtar
/usr/info/tar.info*
/usr/man/man1/tar.1
/usr/share/locale/*/LC_MESSAGES/*

%changelog
* Sun Dec 12 1999 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- updated to v.1.13.15

* Wed Sep 29 1999 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- updated to v.1.13.11

* Sat Aug 28 1999 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- updated to v.1.13.9

* Sat Aug 14 1999 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- updated to v.1.13.6

* Mon Mar 29 1999 Jeff Johnson <jbj@redhat.com>
- fix suspended tar with compression over pipe produces error (#390).

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 8)

* Mon Mar 08 1999 Michael Maher <mike@redhat.com>
- added patch for bad name cache. 
- FIXES BUG 320

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Fri Dec 18 1998 Preston Brown <pbrown@redhat.com>
- bumped spec number for initial rh 6.0 build

* Tue Aug  4 1998 Jeff Johnson <jbj@redhat.com>
- add /usr/bin/gtar symlink (change #421)

* Tue Jul 14 1998 Jeff Johnson <jbj@redhat.com>
- Fiddle bindir/libexecdir to get RH install correct.
- Don't include /sbin/rmt -- use the rmt from dump.
- Turn on nls.

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Oct 16 1997 Donnie Barnes <djb@redhat.com>
- updated from 1.11.8 to 1.12
- various spec file cleanups
- /sbin/install-info support

* Thu Jun 19 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Thu May 29 1997 Michael Fulbright <msf@redhat.com>
- Fixed to include rmt
